<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@1BF0E4=09</action>
    </script>
  </cheat>

  <cheat desc="Display the Correct Answer">
    <script state="run">
      <output format="Correct Answer : %c">
        <argument>(maincpu.pb@(1BF02C))+0x31</argument>
      </output>
    </script>
  </cheat>

  <cheat desc="Display the Correct Answer(bicycle)">
    <script state="run">
      <output format="Correct Answer : %c">
        <argument>(maincpu.pb@(2A50D5))+0x31</argument>
      </output>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Time PL1">
    <script state="run">
      <action>maincpu.pb@2BD31C=63</action>
      <action>maincpu.pb@27140C=78</action>
    </script>
  </cheat>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@1BF148=0A</action>
    </script>
  </cheat>

  <cheat desc="Select Score PL1">
    <parameter min="0" max="255" step="1"/>
    <script state="run">
      <action>maincpu.pb@2BB8F4=(param)</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Time PL2">
    <script state="run">
      <action>maincpu.pb@2BD31C=63</action>
      <action>maincpu.pb@271478=78</action>
    </script>
  </cheat>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@1BF14A=0A</action>
    </script>
  </cheat>

  <cheat desc="Select Score PL2">
    <parameter min="0" max="255" step="1"/>
    <script state="run">
      <action>maincpu.pb@2BB8F8=(param)</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
